SolrDocument::valid
SolrDocumentField::__construct
Solr
PHP Manual

# The SolrDocumentField class

## 導入

This represents a field in a Solr document. All its properties are read-only.

## クラス概要

SolrDocumentField
final SolrDocumentField {
/* プロパティ */
readonly public string $name ;
readonly public float $boost ;
readonly public array $values ;
/* メソッド */
__construct ( void )
public void __destruct ( void )
}

## プロパティ

name

  The name of the field.

boost

  The boost value for the field

values

  An array of values for this field

## 目次

- SolrDocumentField::__construct — Constructor
- SolrDocumentField::__destruct — Destructor

SolrDocument::valid
SolrDocumentField::__construct
Solr
PHP Manual